# 🔥 MSN Viewer

A simple web-based utility for reading MSN Messenger backup files.
Entirely local, no data is uploaded. Easy to run: a single page,
vanilla JavaScript, and a little bit of Bootstrap on top.

## Running

The application requires Yarn to build. Once it is installed, run
`yarn build` to build the bundle. Upload everything in the `dist/`
directory to a webserver and serve the directory as static files.

## Technologies

This small project is partly a playground for over-engineering. The
technologies used are:

 - **XSLT and XML:** Ancient, but still working in all browsers.
   Easiest way to parse and view the backup files.
 - **Typescript:** It's JavaScript, but better.
 - **SASS**: It's CSS, but better.
 - **Parcel:** Bundling tool with minimal configuration required to
   build the web application.
 - **Dexie (IndexedDB):** For saving previously-viewed backup files.
 - **Bootstrap:** I am not good at making beautiful websites.
   Bootstrap almost makes it look like I know what I'm doing.

## License

This software is open source softare, licensed under the AGPLv3. See
the `LICENSE` file for details.
